//*******************************************************
//
//	Si5351A PLL制御
//
//	2020.8.23	KAWAKAMI Yukio
//*******************************************************
#ifndef	__SI5351_H__
#define	__SI5351_H__

#define	SI5351_I2C_ADRS	0x60

#define	EEPROM_XTAL_CL	(uint8_t *)1

#define	PLL_FREQ	750000000L		// 750MHz固定

#define	SI5351_REG_OUTPUT_ENABLE	3
#define	SI5351_REG_CLK0				16
#define	SI5351_REG_CLK1				17
#define	SI5351_REG_CLK2				18
#define	SI5351_REG_MS0_PARA			42
#define	SI5351_REG_MS1_PARA			50
#define	SI5351_REG_MS2_PARA			58
#define	SI5351_REG_PLL_RESET		177
#define	SI5351_REG_CRYSTAL_CAP		183

// Resistor 177
#define	SI5351_PLL_A_RST		0x20
#define	SI5351_PLL_B_RST		0x80

// Resister 183
#define	SI5351_XTAL_CL_6PF		0x40
#define	SI5351_XTAL_CL_8PF		0x80
#define	SI5351_XTAL_CL_10PF		0xC0
#define	SI5351_XTAL_RESERVED	0x12

#define	MODE_RX	0
#define	MODE_TX	1

void init_Si5351(void);
void set_ch_freq(uint8_t mode, uint8_t ch);

#endif	// __SI5351_H__
