//*******************************************************
//
//	ATtiny13	Software I2C(TWI)
//
//	2020.8.22	KAWAKAMI Yukio
//*******************************************************
#ifndef	__I2C_H__
#define	__I2C_H__

// TWI(I2C)動作のマクロ設定。要外部プルアップ抵抗
#define		SCL_H	DDRB &= ~(1<<SCL)
#define		SCL_L	DDRB |= (1<<SCL)
#define		SDA_H	DDRB &= ~(1<<SDA)
#define		SDA_L	DDRB |= (1<<SDA)
// SCL=Hになるまで待つ
#define		WAIT_SCL_H	while(!(PINB & (1<<SCL)))

#define	TWI_READ	1
#define	TWI_WRITE	0
#define	TWI_ACK		0
#define	TWI_NACK	1

void TWI_start(void);
void TWI_send(uchar data);
uchar TWI_recv(uchar ack);
void TWI_stop(void);


#endif	// __I2C_H__
